// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    //Jetpack Compose版本
    val compose_version by extra("1.0.0-beta06")
    //生命周期组件版本
    val lifecycle_version by extra("2.3.1")
    //APP应用名字
    val foreground_app_name by extra("学生社团")
    val SERVER_ADDRESS by extra("http://192.168.50.107:8080")
    val room_version by extra("2.2.6")
    val kotlin_version by extra("1.4.32")
    val background_app_name by extra("社团管理")
    repositories {
        maven("https://maven.aliyun.com/repository/google")
        maven("https://maven.aliyun.com/repository/public")
        google()
        mavenCentral()
    }
    dependencies {
        classpath("com.android.tools.build:gradle:7.0.0-alpha15")
        classpath("org.jetbrains.kotlin:kotlin-gradle-plugin:${kotlin_version}")

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle.kts files
    }
}

tasks.register("clean", Delete::class) {
    delete(rootProject.buildDir)
}