package com.gyf.csams.association.model

import androidx.lifecycle.ViewModel
import com.gyf.csams.NOT_IMPL_TIP
import com.gyf.csams.uikit.StringForm

/**
 * 社团重命名状态管理
 *
 */
class RenameViewModel : ViewModel() {
    val menuName = "换名申请表"

    val oldName = StringForm(formDesc = "社团原名", textLength = 10)
    val newName = StringForm(formDesc = "社团新名", textLength = 10)
    val cause = StringForm(formDesc = "换名原因", textLength = 30)

    val postDesc = "提交申请"
    val back = "返回"

    /**
     * TODO 提交表单
     *
     */
    fun post(callback: (message: String) -> Unit) {
        callback(NOT_IMPL_TIP)
    }
}